.header {
    padding: 45px 0;
    position: absolute;
    z-index: 3;
    top: 0;
    left: 0;
    right: 0;

    @include media-laptop {
        padding: 15px 0;
        background: rgba(255, 255, 255, 0.01);
        border-bottom: 1px solid transparent;
        backdrop-filter: blur(25px);
        -webkit-backdrop-filter: blur(25px);
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        // z-index: 100;
    }

    &__inner {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
    }

    .logo {
        max-width: 120px;
        width: 100%;

        @include media-mobile  {
            max-width: 100px;
        }

        img {
            object-fit: contain;
        }
    }

    &__navigation {
        // transition: transform 1s;
        transition: transform 1s cubic-bezier(.74,-0.02,.24,1.01);
        will-change: transform;

        @include media-laptop {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            height: 100vh;
            background: rgba(255, 255, 255, 0.01);
            // background-color: black;
            backdrop-filter: blur(75px);
            -webkit-backdrop-filter: blur(75px);
            padding: 25px;
            transform: translateY(-100%);
        }

        @include media-mobile {
            padding: 15px;
        }

        .menu-header-menu-container {

            @include media-laptop {
                height: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
            }
        }

        .header-menu {
            display: flex;
            flex-wrap: wrap;

            @include media-laptop {
                flex-direction: column;
            }

            @include montserrat;
            font-weight: 500;

            .menu-item {
                margin-left: 65px;
                @include font-nav;

                @include media-laptop {
                    margin-left: 0;
                    text-align: center;
                    margin-bottom: 40px;
                }
    
                a {
                    color: $color-nav;
                    display: flex;

                    @include media-laptop {
                        display: block;
                    }
                }
            }
        }
    }

    .navigation-bar {
        display: none;
        
        @include media-laptop {
            display: flex;
            align-items: center;
            justify-content: space-between;
            position: absolute;
            top: 16px;
            left: 25px;
            right: 25px;
        }

        @include media-mobile {
            left: 15px;
            right: 15px;
        }

        span {

            @include media-laptop {
                @include montserrat;
                display: inline-block;
                font-size: 10px;
                font-weight: 500;
                line-height: 12px;
                letter-spacing: 0.05em;
                margin-right: 5px;
                text-transform: uppercase;
            }
        }

        .navigation-icon-close {

            @include media-laptop {
                display: flex;
                align-items: center;
            }
        }
    }

    .navigation-icon {
        display: none;

        @include media-laptop {
            display: block;
        }
    }

    .open-menu {
        transform: translateY(0);
    }
}

.header-mobile-border {
    @include media-laptop {
        border-color: #333333;
    }
}